function updatePref(value,pref,image)
{
	document.getElementById(image).src="Images/Back/back_menu_"+value+".png";
	switch (pref){
		case "cpu":
			if(value!='off' && widget.preferenceForKey("cpu")=='off'){
				document.getElementById("cpuHeader").style.display="block";
				widget.setPreferenceForKey(true,'cpuVisable');
			} else if(value=='off'){
				document.getElementById("cpuHeader").style.display="none";
				document.getElementById("cpu").innerHTML='';
			} else {
				document.getElementById("cpuHeader").style.display="block";
				widget.setPreferenceForKey(true,'cpuVisable');
			}
		break;
		case "memory": 
			if(value!='off' && widget.preferenceForKey("memory")=='off'){
				document.getElementById("memoryHeader").style.display="block";
				widget.setPreferenceForKey(true,'memoryVisable');
			} else if(value=='off'){
				document.getElementById("memoryHeader").style.display="none";
				document.getElementById("memory").innerHTML='';
			} else {
				document.getElementById("memoryHeader").style.display="block";
				widget.setPreferenceForKey(true,'memoryVisable');
			}				
		break;
		case "drives": 
			if(value!='off' && widget.preferenceForKey("drives")=='off'){
				document.getElementById("drivesHeader").style.display="block";
				widget.setPreferenceForKey(true,'drivesVisable');
			} else if(value=='off'){
				document.getElementById("drivesHeader").style.display="none";
				document.getElementById("drives").innerHTML='';
			} else {
				document.getElementById("drivesHeader").style.display="block";
				widget.setPreferenceForKey(true,'drivesVisable');
			}
		break;
		case "bandwidth": 
			if(value!='off' && widget.preferenceForKey("net")=='off'){
				document.getElementById("netHeader").style.display="block";
				widget.setPreferenceForKey(true,'netVisable');
			} else if(value=='off'){
				document.getElementById("netHeader").style.display="none";
				document.getElementById("net").innerHTML='';
			} else {
				document.getElementById("netHeader").style.display="block";
				widget.setPreferenceForKey(true,'netVisable');
			}
		break;
		case "interfaces": 
			if(value!='off' && widget.preferenceForKey("interfaces")=='off'){
				document.getElementById("interfacesHeader").style.display="block";
				widget.setPreferenceForKey(true,'interfacesVisable');
			} else if(value=='off'){
				document.getElementById("interfacesHeader").style.display="none";
				document.getElementById("interfaces").innerHTML='';
			} else {
				document.getElementById("interfacesHeader").style.display="block";
				widget.setPreferenceForKey(true,'interfacesVisable');
			}
		break;
		case "uptime": 
			if(value!='off' && widget.preferenceForKey("uptime")=='off'){
				document.getElementById("uptimeHeader").style.display="block";
				widget.setPreferenceForKey(true,'uptimeVisable');
			} else if(value=='off'){
				document.getElementById("uptimeHeader").style.display="none";
				document.getElementById("uptime").innerHTML='';
			} else {
				document.getElementById("uptimeHeader").style.display="block";
				widget.setPreferenceForKey(true,'uptimeVisable');
			}		
		break;
		case "battery": 
			if(value!='off' && widget.preferenceForKey("battery")=='off'){
				document.getElementById("batteryHeader").style.display="block";
				widget.setPreferenceForKey(true,'batteryVisable');
			} else if(value=='off'){
				document.getElementById("batteryHeader").style.display="none";
				document.getElementById("battery").innerHTML='';
			} else {
				document.getElementById("batteryHeader").style.display="block";
				widget.setPreferenceForKey(true,'batteryVisable');
			}		
		break;
	}
	widget.setPreferenceForKey(value,pref);
}

function setPrefs()
{
	cpuSize=document.forms.prefs.cpu.options.length;
	for(x=0;x<cpuSize;x++){
		if(document.forms.prefs.cpu.options[x].value==widget.preferenceForKey("cpu")){
			document.forms.prefs.cpu.options[x].selected="SELECTED";
			document.getElementById("cpuPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("cpu")+".png";
		}
	}
	memSize=document.forms.prefs.memory.options.length;
	for(x=0;x<memSize;x++){
		if(document.forms.prefs.memory.options[x].value==widget.preferenceForKey("memory")){
			document.forms.prefs.memory.options[x].selected="SELECTED";
			document.getElementById("memoryPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("memory")+".png";
		}
	}
	drivesSize=document.forms.prefs.drives.options.length;
	for(x=0;x<drivesSize;x++){
		if(document.forms.prefs.drives.options[x].value==widget.preferenceForKey("drives")){
			document.forms.prefs.drives.options[x].selected="SELECTED";
			document.getElementById("drivesPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("drives")+".png";
		}
	}
	batterySize=document.forms.prefs.battery.options.length;
	for(x=0;x<batterySize;x++){
		if(document.forms.prefs.battery.options[x].value==widget.preferenceForKey("battery")){
			document.forms.prefs.battery.options[x].selected="SELECTED";
			document.getElementById("batteryPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("battery")+".png";
		}
	}
	networkSize=document.forms.prefs.network.options.length;
	for(x=0;x<networkSize;x++){
		if(document.forms.prefs.network.options[x].value==widget.preferenceForKey("interfaces")){
			document.forms.prefs.network.options[x].selected="SELECTED";
			document.getElementById("networkPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("interfaces")+".png";
		}
	}
	bandwidthSize=document.forms.prefs.bandwidth.options.length;
	for(x=0;x<bandwidthSize;x++){
		if(document.forms.prefs.bandwidth.options[x].value==widget.preferenceForKey("bandwidth")){
			document.forms.prefs.bandwidth.options[x].selected="SELECTED";
			document.getElementById("bandwidthPrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("bandwidth")+".png";
		}
	}
	uptimeSize=document.forms.prefs.uptime.options.length;
	for(x=0;x<uptimeSize;x++){
		if(document.forms.prefs.uptime.options[x].value==widget.preferenceForKey("uptime")){
			document.forms.prefs.uptime.options[x].selected="SELECTED";
			document.getElementById("uptimePrefImage").src="Images/Back/back_menu_"+widget.preferenceForKey("uptime")+".png";
		}
	}
	skinSize=document.forms.prefs.skin.options.length;
	for(x=0;x<skinSize;x++){
		if(document.forms.prefs.skin.options[x].value==widget.preferenceForKey("skin")){
			document.forms.prefs.skin.options[x].selected="SELECTED";
			document.getElementById("skinPrefImage").src="Images/Back/back_skin_"+widget.preferenceForKey("skin")+".png";
		}
	}
}

function changeSkin(skin)
{
	document.getElementById("skinCss").href=""+skin+".css";
	widget.setPreferenceForKey(skin,"skin");
	document.getElementById("skinPrefImage").src="Images/Back/back_skin_"+skin+".png";
}

function loadSkin()
{
	document.getElementById("skinCss").href=""+(widget.preferenceForKey("skin"))+".css";
}